Skip to content
Navigation

List notification

GET
https://api.sureshake.com/v2/notifications

Query parameters

  • unreadOnly
    optional
    boolean
    default: false
  • limit
    optional
    number
    maximum: 100 · minimum: 1 · default: 20
  • offset
    optional
    number
    minimum: 0 · default: 0

Returns

200

Default Response

JSON
  • notifications
    array of
    object
    required
    • id
      string
      required
      format: uuid
    • userId
      string
      required
    • type
      application_received
      or
      application_status_changed
      or
      feedback_published
      or
      evaluation_assigned
      or
      role_closed
      or
      invitation_received
      +44 more
      required
    • title
      string
      required
    • body
      string
      or null
      required
    • data
      map of
      unknown
      or null
      required
    • readAt
      string
      or null
      required
      format: date-time
    • createdAt
      string
      required
      format: date-time
  • totalCount
    number
    required
  • unreadCount
    number
    required
  • hasMore
    boolean
    required

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close